#### dynamic_vector_buffer::capacity

Get the maximum size that the buffer may grow to without triggering reallocation.

    std::size_t capacity() const;

###### Return Value

DynamicBuffer_v1: The current total capacity of the buffer, i.e. for both the input sequence and output sequence. DynamicBuffer_v2: The current capacity of the underlying vector if less than `max_size()`. Otherwise returns `max_size()`.